local addonName, player = ...

local log = player.signature .. "Can't autofill trade window with "

messageAppear = {}

function showMessage(message)
    if player.data.setting.message then
        return
    else
        for index, oldMessage in pairs(messageAppear) do
            if oldMessage == message then
                return
            end
        end
        DEFAULT_CHAT_FRAME:AddMessage(message)
        table.insert(messageAppear, message)
    end
end

function ItemCondition(stack, item)
    if player.data.setting.require == true and  player.level < item.level then
        showMessage(log .. getName() .. ", not the required level")
        return
    else
        for i = 1, stack do
            fillTradeWindow(item, tradePosition())
        end
    end
end

function tradingCondition()
    local maxLevel = GetMaxPlayerLevel()

    if player.data.setting.standby then
        showMessage(log .. getName() .. " because " .. addonName .. " is |cFFFF0000disable|r")
        return true
    end

    if player.data.setting.guild == true and player.guild ~= GetGuildInfo("player") then
        showMessage(log .. getName() .. ", this not a guild member")
        return true
    end

    if player.data.setting.level == true and player.level ~= maxLevel then
        showMessage(log .. getName() .. ", player is not level " .. maxLevel)
        return true
    end

    if player.stack.a == 0 and player.stack.b == 0 then
        showMessage(log .. "the class " .. setClassName(player.class.file) .. ", no stack number have been assigned")
        return true
    end

    for name in string.gmatch(player.data.setting.players, "[^\n]+") do
        if string.lower(name) == string.lower(player.name) then
            showMessage(log .. getName() .. ", this player is on the exclude list")
            return true
        end
    end

    if player.guild then
        for guild in string.gmatch(player.data.setting.guilds, "[^\n]+") do
            print(guild)
            if string.lower(guild) == string.lower(player.guild) then
                local guildName = player.guild

                showMessage(log .. "|cFF00FF00".. guildName .. "|r, this guild is on the exclude list")
                return true
            end
        end
    end

    if player.data.setting.master == true then
        local lootmethod, mlPartyID, mlRaidID = GetLootMethod()
        local newLootMaster = nil

        if lootmethod == 'master' then
            if mlRaidID then
                newLootMaster = GetRaidRosterInfo(mlRaidID)
            elseif mlPartyID==0 then
                newLootMaster = UnitName('player')
            elseif mlPartyID then
                newLootMaster = UnitName('party'..mlPartyID)
            end

            if UnitName("player") == newLootMaster then
                showMessage(log .. getName() .. ", because |cFFFF0000master looter|r is active")
                return true
            end
        end
    end
    return false
end